#pragma once

#include <stddef.h>
#include "FSSMApi.h"

#ifdef __cplusplus
extern "C" {
#endif
FSSM_API FSSMResult initScan(int scannerID);
FSSM_API FSSMResult scan(int scannerID, unsigned char* scan, size_t* scanWidth, size_t* scanHeight);
FSSM_API FSSMResult stopScan(int scannerID);
FSSM_API FSSMResult getDeviceCount(size_t* count);
FSSM_API FSSMResult getMaxImageSize(int scannerID, size_t* scanWidth, size_t* scanHeight);
FSSM_API FSSMResult getName(const char** name);
FSSM_API FSSMResult isReady();
FSSM_API FSSMResult isFingerOn(int scannerID, bool* result);
#ifdef __cplusplus
}
#endif
